Package com.sas.lsaf.workflow.task

## Class CompletedTask

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.CompletedElement
    - - com.sas.lsaf.workflow.task.CompletedTask

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`
  Direct Known Subclasses:
    `CompletedJobTask`, `CompletedNotificationTask`, `CompletedUserTask`

      public abstract class CompletedTask
      extends CompletedElement

  The class that represents a completed task in a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `CompletedElement.TaskCompletedState`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompletedTask​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String processFlowId, java.lang.String name, java.lang.String description, Element.ElementType type, java.util.Date created, java.lang.String completedBy, java.util.Date completed, CompletedElement.TaskCompletedState completedState, java.util.List<Attribute> attributes)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<Attribute>` | `getAttributes()` | Gets the extended attributes for the task.

    - ### Methods inherited from class com.sas.lsaf.workflow.element.CompletedElement

      `getCompleted, getCompletedBy, getCompletedState, getCreated, getDescription, getElementId, getName, getProcessFlowId, getType, toString`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `equals, getId, getTypeId, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompletedTask

          public CompletedTask​(java.lang.String typeId,
                               java.lang.String id,
                               java.lang.String elementId,
                               java.lang.String processFlowId,
                               java.lang.String name,
                               java.lang.String description,
                               Element.ElementType type,
                               java.util.Date created,
                               java.lang.String completedBy,
                               java.util.Date completed,
                               CompletedElement.TaskCompletedState completedState,
                               java.util.List<Attribute> attributes)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the completed tasks returned by the API.
      Parameters:
        `typeId` - The object type identifier of the task.
        `id` - The unique identifier of the task.
        `elementId` - The identifier of the task as it appears in the process flow definition.
        `processFlowId` - The identifier of the process flow that contains the element.
        `name` - The name of the task.
        `description` - The description of the task.
        `type` - The type of the task.
        `created` - The date on which the task was created.
        `completedBy` - The user who completed the element.
        `completed` - The date on which task was completed.
        `completedState` - The completed state of the element
        `attributes` - The extended attributes of the task.

  - ### Method Detail

    - #### getAttributes

          public java.util.List<Attribute> getAttributes()

      Gets the extended attributes for the task.
      Returns:
        The extended attributes.